OTBCLI_FINEREGISTRATION(1)

NAME
otbcli_FineRegistration - OTB FineRegistration application

DESCRIPTION
This is the FineRegistration application, version 5.2.0 Estimate disparity map between two images.

Complete documentation: http://www.orfeo-toolbox.org/Applications/FineRegistration.html

  Parameters:

-progress <boolean>
    Report progress

 -ref <string> Reference Image (mandatory)
 -sec <string> Secondary Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)
 -erx <int32> Exploration Radius X (mandatory)
 -ery <int32> Exploration Radius Y (mandatory)
 -mrx <int32> Metric Radius X (mandatory)
 -mry <int32> Metric Radius Y (mandatory)

-w  <string> Image To Warp (optional, off by default)

-wo <string> [pixel] Output Warped Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-cox
    <float> Coarse Offset X (optional, on by default, default value is 0)

-coy
    <float> Coarse Offset Y (optional, on by default, default value is 0)

-ssrx
    <float> Sub-Sampling Rate X (optional, on by default, default value is 1)

-ssry
    <float> Sub-Sampling Rate Y (optional, on by default, default value is 1)

-rgsx
    <float> Reference Gaussian Smoothing X (optional, off by default)

-rgsy
    <float> Reference Gaussian Smoothing Y (optional, off by default)

-sgsx
    <float> Secondary Gaussian Smoothing X (optional, off by default)

-sgsy
    <float> Secondary Gaussian Smoothing Y (optional, off by default)

-m  <string> Metric (optional, off by default)

-spa
    <float> SubPixelAccuracy (optional, on by default, default value is 0.01)

-vmlt
    <float> Validity Mask Lower Threshold (optional, off by default)

-vmut
    <float> Validity Mask Upper Threshold (optional, off by default)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_FineRegistration -ref StereoFixed.png -sec StereoMoving.png -out FineRegistration.tif -erx 2 -ery 2 -mrx 3 -mry 3

SEE ALSO
The full documentation for otbcli_FineRegistration is maintained as a Texinfo manual. If the info and otbcli_FineRegistration programs are properly installed at your site, the command

    info otbcli_FineRegistration

should give you access to the complete manual.